summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-06-02 10:12:34 +0200
committerErich Eckner <git@eckner.net>2017-06-02 10:13:57 +0200
commitc5527d82042b5b27306ded6e44fabcee09f94cb3 (patch)
tree30c4e2078bb9f001e30bdbc25068b180d9760e68 /bin/build-packages
parentc71a2c8302f034c5f2d5919972761368671278f7 (diff)
downloadbuilder-c5527d82042b5b27306ded6e44fabcee09f94cb3.tar.xz
bin/build-packages: now understands exit code 4
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 85538f0..295f092 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -203,6 +203,10 @@ while [ ${count} -ne 0 ]; do
>& echo "'return-assignment' reports a signature error."
exit 1
;;
+ 4)
+ >& echo "'return-assignment' reports too many or missing packages."
+ exit 1
+ ;;
*)
>&2 echo "unknown return code ${err} from 'return-assignment'"
exit 1